Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_LocalObject_var Class Reference

`#include <LocalObject.h>`

Collaboration diagram for CORBA_LocalObject_var:

[legend]
List of all members.

## Public Methods
| CORBA_LocalObject_var (void)
| CORBA_LocalObject_var (CORBA_LocalObject_ptr)
| CORBA_LocalObject_var (const CORBA_LocalObject_var &)
| ~CORBA_LocalObject_var (void)
CORBA_LocalObject_var& | operator= (CORBA_LocalObject_ptr)
CORBA_LocalObject_var& | operator= (const CORBA_LocalObject_var &)
CORBA_LocalObject_ptr | operator-> (void) const
| operator const CORBA_LocalObject_ptr & () const
| in, inout, out, _retn.
| operator CORBA_LocalObject_ptr & ()
CORBA_LocalObject_ptr | in (void) const
CORBA_LocalObject_ptr& | inout (void)
CORBA_LocalObject_ptr& | out (void)
CORBA_LocalObject_ptr | _retn (void)
CORBA_LocalObject_ptr | ptr (void) const
## Private Attributes
CORBA_LocalObject_ptr | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_LocalObject_var::CORBA_LocalObject_var ( | void )

ACE_INLINE CORBA_LocalObject_var::CORBA_LocalObject_var ( | CORBA_LocalObject_ptr p )

ACE_INLINE CORBA_LocalObject_var::CORBA_LocalObject_var ( | const CORBA_LocalObject_var & p )

ACE_INLINE CORBA_LocalObject_var::~CORBA_LocalObject_var ( | void )

## Member Function Documentation

ACE_INLINE CORBA_LocalObject_ptr CORBA_LocalObject_var::_retn ( | void )

ACE_INLINE CORBA_LocalObject_ptr CORBA_LocalObject_var::in ( | void ) const

ACE_INLINE CORBA_LocalObject_ptr & CORBA_LocalObject_var::inout ( | void )

ACE_INLINE CORBA_LocalObject_var::operator CORBA_LocalObject_ptr & ( | )

ACE_INLINE CORBA_LocalObject_var::operator const CORBA_LocalObject_ptr & ( | ) const

| in, inout, out, _retn.

ACE_INLINE CORBA_LocalObject_ptr CORBA_LocalObject_var::operator-> ( | void ) const

ACE_INLINE CORBA_LocalObject_var & CORBA_LocalObject_var::operator= ( | const CORBA_LocalObject_var & p )

ACE_INLINE CORBA_LocalObject_var & CORBA_LocalObject_var::operator= ( | CORBA_LocalObject_ptr p )

ACE_INLINE CORBA_LocalObject_ptr & CORBA_LocalObject_var::out ( | void )

ACE_INLINE CORBA_LocalObject_ptr CORBA_LocalObject_var::ptr ( | void ) const

## Member Data Documentation

CORBA_LocalObject_ptr CORBA_LocalObject_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- LocalObject.h
- LocalObject.i